Search documentation of ExStreamClient

# ExStreamClient.Model.ChannelConfig (ExStreamClient v0.1.10)

View Source

Schema representing a ChannelConfig

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.ChannelConfig{
      allowed_flag_reasons: [String.t()] | nil,
      automod: :AI | :simple | :disabled,
      automod_behavior: :shadow_block | :block | :flag,
      automod_thresholds: ExStreamClient.Model.Thresholds.t() | nil,
      blocklist: String.t() | nil,
      blocklist_behavior: (:shadow_block | :block | :flag) | nil,
      blocklists: [ExStreamClient.Model.BlockListOptions.t()] | nil,
      commands: [String.t()],
      connect_events: boolean(),
      created_at: float(),
      custom_events: boolean(),
      mark_messages_pending: boolean(),
      max_message_length: integer(),
      message_retention: any(),
      mutes: boolean(),
      name: String.t(),
      partition_size: integer() | nil,
      partition_ttl: String.t() | nil,
      polls: boolean(),
      push_notifications: boolean(),
      quotes: boolean(),
      reactions: boolean(),
      read_events: boolean(),
      reminders: boolean(),
      replies: boolean(),
      search: boolean(),
      skip_last_msg_update_for_system_msgs: boolean(),
      typing_events: boolean(),
      updated_at: float(),
      uploads: boolean(),
      url_enrichment: boolean()
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()